{
  description = "a653rs-router";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs =
    {
      flake-utils,
      nixpkgs,
      ...
    }:
    flake-utils.lib.eachSystem [ "x86_64-linux" ] (
      system:
      let
        pkgs = import nixpkgs { inherit system; };
      in
      rec {
        devShells.default = pkgs.mkShell {
          nativeBuildInputs = [
            pkgs.cargo
            pkgs.clang
            pkgs.clippy
            pkgs.pam
            pkgs.pkg-config
            pkgs.rustc
            pkgs.rustfmt
            pkgs.rust-analyzer
            pkgs.rustPlatform.bindgenHook
          ];
        };
        packages = {
          default = pkgs.callPackage ./default.nix { };
        };
        checks = {
          vm = nixpkgs.lib.nixos.runTest (
            import ./test.nix {
              pkgs = import nixpkgs {
                inherit system;
                overlays = [
                  (final: prev: {
                    pam_honeypot = packages.default;
                  })
                ];
              };
            }
          );
        };
      }
    )
    // {
      nixosModules = {
        default = ./module.nix;
      };
    };
}
